Subject: Re: [PATCH 02/11] ixgb: Fix the use of dprintk rather than printk

From: Auke Kok <[email-masked]>
Date: Fri, 19 May 2006 11:35:34 -0700

Francois Romieu wrote:
> Jeff Kirsher <[email-masked]> :
>> @@ -486,8 +495,7 @@ ixgb_probe(struct pci_dev *pdev,
>>  	netif_carrier_off(netdev);
>>  	netif_stop_queue(netdev);
>>  
>> -	printk(KERN_INFO "%s: Intel(R) PRO/10GbE Network Connection\n",
>> -		   netdev->name);
>> +	DPRINTK(PROBE, INFO, "Intel(R) PRO/10GbE Network Connection\n");
> 
> It could probably be factored out with ixgb_driver_string.

the driver name is different from the interface/device that it drives - Hence 
the different name. The 'Connection' name as above is the branding name as 
well, and that's why we print it here as such. e1000 does the same thing for 
the same reason.

Auke